org.eclipse.net4j.signal

## Class SignalFinishedEvent<INFRA_STRUCTURE>

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.net4j.signal.SignalFinishedEvent<INFRA_STRUCTURE>

- All Implemented Interfaces:
    java.io.Serializable, IEvent

      public class SignalFinishedEvent<INFRA_STRUCTURE>
      extends Event

  An `event` fired from a `signal protocol` when the local execution of a scheduled `signal` has finished.
  Since:
    3.0
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `formatAdditionalParameters()`
    `java.lang.Exception` | `getException()`
    `Signal` | `getSignal()`
    `ISignalProtocol<INFRA_STRUCTURE>` | `getSource()`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatEventName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSource

          public ISignalProtocol<INFRA_STRUCTURE> getSource()

      Specified by:
        `getSource` in interface `IEvent`
      Overrides:
        `getSource` in class `Event`

    - #### getSignal

          public Signal getSignal()

    - #### getException

          public java.lang.Exception getException()

    - #### formatAdditionalParameters

          protected java.lang.String formatAdditionalParameters()

      Overrides:
        `formatAdditionalParameters` in class `Event`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html